@use 'variables' as v; // We can access the variables using v.$myVar instead of varaibles.$myVar

html {
    font-size: 62.5%; // 1rem = 10px
    box-sizing: border-box;
}

*, *:before, *:after {
    box-sizing: inherit; // Padding will not be an issue
}

body {
    font-family: v.$mainFont;
    font-size: 1.6rem;
    &.fix_body {
        overflow: hidden; // Prevent scrolling when the user is viewing an image overlay
    }
    &.body_scroll {
        padding-top: 8.6rem // Header's size
    }
}

p {
    font-size: 2rem;
    color: v.$myBlack;
    line-height: 1.5;
}

.container {
    width: 95%;
    max-width: 120rem;
    margin: 0 auto;
}

a {
    text-decoration: none;
} 

h1, h2, h3 {
    margin: 0 0 3rem 0;
}

h1 {
    font-size: 4rem;    
}

h2 {
    font-size: 3.6rem;    
}

h3 {
    font-size: 3rem;    
}

img {
    max-width: 100%;
    width: 100%;        /* It's adviced to include the width and height in the <img> html element. However, this would mess up the image size defined in css*/
    height: auto;       /* In order to prevent this, it's necesary to include "width: 100%" and "height: auto" here*/
    display: block;
}